import paho.mqtt.client as mqtt

# MQTT 配置
MQTT_BROKER = "8.217.112.255"
MQTT_PORT = 1883


# 当我们从MQTT服务器接收到消息时调用此函数
def on_message(client, userdata, message):
    # 提取消息的主题
    topic = message.topic
    print(f"Message received on topic: {topic}")

    # 从主题中解析 device_id
    # 假定主题格式为: "solarmosquitolamp/devices/{device_id}/data" 或 "state"
    topic_parts = topic.split('/')
    device_id = topic_parts[2]

    # 将消息打印到控制台（或处理数据，例如存入数据库）
    print(f"Device ID: {device_id}")
    payload = message.payload.decode('utf-8')
    print(f"Message Payload: {payload}")

    # 根据device_id和payload处理数据库的记录...


# 初始化MQTT客户端
client = mqtt.Client()
client.on_message = on_message

client.connect(MQTT_BROKER, MQTT_PORT, 60)

# 订阅所有设备的主题
client.subscribe("solarmosquitolamp/devices/+/data")
client.subscribe("solarmosquitolamp/devices/+/state")

# 开始MQTT客户端
client.loop_forever()
